<?php

namespace Tests\Video\Http\Controllers;

use Modules\Video\Http\Controllers\WechatCheckController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class WechatCheckControllerTest extends UsedTestCase
{

    public function testAdd()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/videoStock/wechatCheck/add', [
            'video_id' => 12,
            'producer' => 'zzz',
            'playwright' =>  'xxxx',
            'production_license_img' => 'https://minifile-cdn.zvyhjkx.com/uploads/images/20230531/9NUcrj2Dfz1685513143.png',
            'authorized_img' => 'https://minifile-cdn.zvyhjkx.com/uploads/images/20230531/9NUcrj2Dfz1685513143.png'
        ]);
        $res->dump();
    }

    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/videoStock/wechatCheck/list', [
//            'video_id' => 12,
//            'producer' => 'zzz',
//            'playwright' =>  'xxxx',
        'status' => '5'
        ]);
        $this->dumpJson($res);
    }
}
